Subject: RE: bug#3394: 23.0.94; define-derived-mode keymap inheritance

From: "Drew Adams" <[email-masked]>
Date: Tue, 26 May 2009 23:13:07 -0700

> > I know that there is no guarantee (quite the opposite) that code
> > byte-compiled in Emacs 20 will work in Emacs 23. But I 
> > wonder if there might be a bug here anyway, wrt the keymap
> > inheritance. If not, OK.
> 
> Well, yes, there was a bug in Emacs-20's implementation of
> define-derived-mode.  Not much we can do about it, I'm afraid.

OK, I see. I was thinking that define-derived-mode wasn't defined in Emacs 20
(should have checked), and that it was just byte-compiled as an unknown
function. Sorry for the noise.